using System;

class Program
{
    static void Main(string[] args)
    {
        string[] s = Console.ReadLine().Split();
        long n = long.Parse(s[0]);
        long l = long.Parse(s[1]);
        long[] niz = new long[n];
        string[] visine = Console.ReadLine().Split();
        int resenje = -1;
        for (int i = 0; i < n; i++)
        {
            niz[i] = long.Parse(visine[i]);
            if (niz[i] <= l)
            {
                resenje = i + 1; break;
            }
        }
        Console.WriteLine(resenje);
    }
}